package ink.wgink.module.form.pojo.dtos.docno;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: DocNoDTO
 * @Description: 文号
 * @Author: CodeFactory
 * @Date: 2022-06-24 15:06:48
 * @Version: 3.0
 **/
@ApiModel
public class DocNoDTO {

    @ApiModelProperty(name = "docNoId", value = "主键")
    private String docNoId;
    @ApiModelProperty(name = "title", value = "标题")
    private String title;
    @ApiModelProperty(name = "summary", value = "描述")
    private String summary;
    @ApiModelProperty(name = "type", value = "类型：always：一直累加，year：按年累加，month：按月累加，day：按日累加，manual：手动")
    private String type;
    @ApiModelProperty(name = "template", value = "模板")
    private String template;
    @ApiModelProperty(name = "startNu", value = "开始编号")
    private Integer startNu;
    @ApiModelProperty(name = "nuLength", value = "编号长度")
    private Integer nuLength;
    @ApiModelProperty(name = "isActive", value = "是否激活")
    private Integer isActive;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    @ApiModelProperty(name = "gmtModified", value = "修改时间")
    private String gmtModified;
    @ApiModelProperty(name = "latestDocNo", value = "最新文号")
    private String latestDocNo;

    public String getDocNoId() {
        return docNoId == null ? "" : docNoId.trim();
    }

    public void setDocNoId(String docNoId) {
        this.docNoId = docNoId;
    }

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSummary() {
        return summary == null ? "" : summary.trim();
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getType() {
        return type == null ? "" : type.trim();
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTemplate() {
        return template == null ? "" : template.trim();
    }

    public void setTemplate(String template) {
        this.template = template;
    }

    public Integer getStartNu() {
        return startNu == null ? 0 : startNu;
    }

    public void setStartNu(Integer startNu) {
        this.startNu = startNu;
    }

    public Integer getNuLength() {
        return nuLength == null ? 0 : nuLength;
    }

    public void setNuLength(Integer nuLength) {
        this.nuLength = nuLength;
    }

    public Integer getIsActive() {
        return isActive == null ? 0 : isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getLatestDocNo() {
        return latestDocNo == null ? "" : latestDocNo.trim();
    }

    public void setLatestDocNo(String latestDocNo) {
        this.latestDocNo = latestDocNo;
    }
}
